package com.atguigu.feign.cart;

import com.atguigu.spzx.model.entity.h5.CartInfo;
import com.atguigu.spzx.model.vo.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(value = "service-cart", path = "/api/order/cart")
public interface CartFeignClient {
    @GetMapping("/auth/getAllCkecked")
    Result<List<CartInfo>> getAllChecked();

    @GetMapping("/auth/deleteChecked")
    Result<String> deleteChecked();
}
