package com.atguigu.pay.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
@ConfigurationProperties(prefix = "alipay")
public class AlipayProperties {
    public final static String format = "json";
    public final static String charset = "utf-8";
    public final static String sign_type = "RSA2";
    public String alipayPublicKey;
    public String returnPaymentUrl;
    public String notifyPaymentUrl;
    private String alipayUrl;
    private String appPrivateKey;
    private String appId;
}