package com.atguigu.pay.mapper;

import com.atguigu.spzx.model.entity.pay.PaymentInfo;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface PaymentInfoMapper {
    /**
     * 根据订单编号查询支付记录
     *
     * @param orderNo orderNo
     * @return PaymentInfo
     */
    PaymentInfo getByOrderNo(String orderNo);

    /**
     * 提阿加
     *
     * @param paymentInfo paymentInfo
     */
    void save(PaymentInfo paymentInfo);

    /**
     * 根据ID进行更新
     *
     * @param paymentInfo 支付信息实体类
     */
    void updateById(PaymentInfo paymentInfo);
}
